Bug 228946

Summary: devel/hadoop2: patch to build with OpenSSL 1.1
Product: Ports & Packages Reporter: Bernard Spil <brnrd>
Component: Individual Port(s)Assignee: Kevin Bowling <kbowling>
Status: Closed FIXED    
Severity: Affects Only Me CC: jhb, kbowling, nomoo, pi, w.schwarzenfeld
Priority: --- Flags: kbowling: maintainer-feedback+
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on:    
Bug Blocks: 228865    
Attachments:
Description Flags
svn-diff-hadoop2-openssl111 none

Description Bernard Spil freebsd_committer 2018-06-12 14:34:56 UTC
> incomplete definition of type 'struct evp_cipher_ctx_st'

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update 12-STABLE to current 1.1.0 and subsequently update it to 1.1.1 when that is released.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-18 22:37:41 UTC
Created attachment 206681 [details]
svn-diff-hadoop2-openssl111

I got it from here:

https://issues.apache.org/jira/browse/HADOOP-14597?page=com.atlassian.jira.plugin.system.issuetabpanels%3Acomment-tabpanel%3D16065714#comment-16065714

=> HADOOP-14597.04.patch
    

Build tested with openssl and libressl. Not tested with openssl-base.
Comment 2 John Baldwin freebsd_committer freebsd_triage 2019-11-16 01:19:05 UTC
Ping?  This is a patch from upstream.
Comment 3 Kurt Jaeger freebsd_committer 2019-11-17 11:41:39 UTC
testbuild@work
Comment 4 Kurt Jaeger freebsd_committer 2019-11-17 14:00:27 UTC
testbuilds are fine on cur, cur-i386, 12.1a and 11.3a.
Comment 5 Kevin Bowling freebsd_committer 2019-11-19 02:03:01 UTC
I think a better way to fix this is to proceed with 231048 but I have no objections.  I need mentor approval to commit
Comment 6 John Baldwin freebsd_committer freebsd_triage 2019-11-19 17:21:11 UTC
If hadoop 2.x is deprecated upstream then I think it's your call as the maintainer to leave it broken to encourage 3.x adoption, but given that 3.x hasn't landed yet, it might be nice to give users some sort of hadoop package on 12.x for the time being.  I'm not a ports committer either so can't approve ports commits, just trying to chase down stragglers in the OpenSSL 1.1.1 metabugs FWIW.
Comment 7 commit-hook freebsd_committer 2020-01-21 07:32:45 UTC
A commit references this bug:

Author: kbowling
Date: Tue Jan 21 07:31:47 UTC 2020
New revision: 523702
URL: https://svnweb.freebsd.org/changeset/ports/523702

Log:
  devel/hadoop2: patch to build with OpenSSL 1.1

  PR:		228946
  Submitted by:	Walter Schwarzenfeld <w.schwarzenfeld@utanet.at>
  Reported by:	brnrd
  Approved by:	krion (mentor)
  Obtained from:	upstream
  Sponsored by:	BBOX.io
  Differential Revision:	https://reviews.freebsd.org/D23273

Changes:
  head/devel/hadoop2/Makefile
  head/devel/hadoop2/files/patch-openssl111
Comment 8 Kevin Bowling freebsd_committer 2020-01-21 07:34:13 UTC
Fixed in rP523702.